#ifndef TMHistogrammingGlobalPixelPhiDist_H
#define TMHistogrammingGlobalPixelPhiDist_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingGlobalPixelPhiDist : public TMHistogramming {
 public:
  TMHistogrammingGlobalPixelPhiDist();
  virtual ~TMHistogrammingGlobalPixelPhiDist();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  TH1F    *fTotal;
  TH1F    *fInner;
  TH1F    *fOuter;

};

#endif
